|  | Home · All Namespaces · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Obsolete Members for QComboBox

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

- QComboBox class reference

### Properties

- autoCompletion : bool `(obsolete)`
- autoCompletionCaseSensitivity : Qt::CaseSensitivity `(obsolete)`

### Public Functions

- bool autoCompletion () const `(obsolete)`
- Qt::CaseSensitivity autoCompletionCaseSensitivity () const `(obsolete)`
- void setAutoCompletion ( bool enable ) `(obsolete)`
- void setAutoCompletionCaseSensitivity ( Qt::CaseSensitivity sensitivity ) `(obsolete)`

- 3 public functions inherited from QWidget

## Property Documentation

### autoCompletion : bool

This property holds whether the combobox provides auto-completion for editable items.

Use setCompleter() instead.

By default, this property is true.

This property was introduced in Qt 4.1.

Access functions:

- bool autoCompletion () const
- void setAutoCompletion ( bool enable )

See also editable.

### autoCompletionCaseSensitivity : Qt::CaseSensitivity

This property holds whether string comparisons are case-sensitive or case-insensitive for auto-completion.

By default, this property is Qt::CaseInsensitive.

Use setCompleter() instead. Case sensitivity of the auto completion can be changed using QCompleter::setCaseSensitivity().

Access functions:

- Qt::CaseSensitivity autoCompletionCaseSensitivity () const
- void setAutoCompletionCaseSensitivity ( Qt::CaseSensitivity sensitivity )

See also autoCompletion.